Subject: bug#72042: [PATCH 1/1] gnu: python-gst: Fix build.

From: Remco van 't Veer <[email-masked]>
Date: Thu, 12 Sep 2024 09:04:20 +0200

Hi Liliana and Maxim,

2024/09/11, Liliana Marie Prikler:

> Am Mittwoch, dem 11.09.2024 um 09:29 +0200 schrieb Remco van 't Veer:
>> Hi Maxim,
>> 
>> 2024/09/11, Maxim Cournoyer:
>> 
>> > It's nice that this fixes the package build, but propagating
>> > various version of Python libraries a road that to leads to
>> > problems.  Currently it's important that propagated things are all
>> > compatible together.
>> > 
>> > I'd suggest trying to update python-gst to see if it works with the
>> > newer python-pygobject instead.
>> 
>> It does because this is the newer version.  I proposed to do a graft
>> or
>> just go for the upgrade[1] but python-pygobject has a lot of
>> dependent
>> packages.
>> 
>>   $ guix refresh --list-dependent python-pygobject
>>   Building the following 2015 packages would ensure 4466 dependent
>> packages are rebuilt: ..
>> 
>> Should I provide a patch to just go for the newer version?
> How many dependents does python-gst have?

$ guix refresh --list-dependent python-gst
Building the following 6 packages would ensure 6 dependent packages are rebuilt: [email-masked] [email-masked] [email-masked] [email-masked] [email-masked] [email-masked]

> Can we patch it to work with the current version?

Probably but I think python-gobject is actually broken now and needs to
be upgraded.  I am not aware of other packages failing because of this
but I think there are.

> If not, can sneak in python-gobject-3.48 as a regular input instead of
> propagating it?

I do not know what that means.

> Perhaps we could even delay this for gnome-team, where massive rebuilds
> are less of an issue.

Yes please?

Also note, that this patch has been merged and the issue has been
closed.  Maybe it should be reopened or a new issue should be opened?